Bug 469592 - saslpasswd2 triggers bogus log messages ("error deleting entry from sasldb")
saslpasswd2 triggers bogus log messages ("error deleting entry from sasldb")
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: cyrus-sasl (Show other bugs)
16
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-02 18:19 EST by D. Wagner
Modified: 2011-12-07 10:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-03 03:32:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description D. Wagner 2008-11-02 18:19:16 EST
Description of problem:

When adding a new user to the SASL database ("saslpasswd2 -c username"), I get a bunch of log messages in syslog (/var/log/messages), like this:

Nov  2 14:18:55 senfl saslpasswd2: error deleting entry from sasldb: DB_NOTFOUND: No matching key/data pair found
Nov  2 14:18:55 senfl saslpasswd2: error deleting entry from sasldb: DB_NOTFOUND: No matching key/data pair found

As far as I can tell these log messages appear to be irrelevant and should be ignored.  The operation succeeded, but saslpasswd2 is still logging error messages.  This doesn't prevent one from using SASL but it is confusing.

A websearch suggests that perhaps this is something having to do with SASL->SASL2 migration: that saslpasswd2 is trying to delete the entry from an old SASL database while adding it to the SASL2 database.  That seems like a misdesign, though.  I started from a fresh Fedora 9 install with no prior SASL database, and the very first time I ran saslpasswd2, I got these errors.

These log messages caused me to go astray while trying to debug a problem that turned out to be unrelated.  Not a showstopper but presumably worth fixing.


Version-Release number of selected component (if applicable):

# rpm -q -f =saslpasswd2
cyrus-sasl-lib-2.1.22-15.fc9.x86_64
cyrus-sasl-lib-2.1.22-15.fc9.i386

Other installed RPMs in case they are relevant:
cyrus-sasl-lib-2.1.22-15.fc9.i386
perl-Authen-SASL-2.10-2.fc9.noarch
cyrus-sasl-lib-2.1.22-15.fc9.x86_64
cyrus-sasl-plain-2.1.22-15.fc9.x86_64
cyrus-sasl-md5-2.1.22-15.fc9.x86_64
cyrus-sasl-devel-2.1.22-15.fc9.x86_64
cyrus-sasl-2.1.22-15.fc9.x86_64


How reproducible:

100% reproducible.

Steps to Reproduce:
1. As root, run: saslpasswd2 -c anyusername
2. Then: tail -f /var/log/messages
  
Actual results:

This message is logged via syslog:
Nov  2 14:18:55 senfl saslpasswd2: error deleting entry from sasldb: DB_NOTFOUND: No matching key/data pair found

Expected results:

No errors should be logged via syslog.
Comment 1 Tomas Mraz 2008-11-03 03:32:48 EST
Upstream bug https://bugzilla.andrew.cmu.edu/show_bug.cgi?id=3117
Comment 2 Joseph Shraibman 2011-11-23 13:01:07 EST
The url is now https://bugzilla.cyrusimap.org/show_bug.cgi?id=3117 and this is still a problem in Fedora 16

Note You need to log in before you can comment on or make changes to this bug.